package app

import (
	"miniapp/global"
	"miniapp/model/common"
	"miniapp/model/common/request"
	"time"
)

type TodesService struct{}

func (t TodesService) GetUserTodos(notes *request.GetUserNotes) (list []common.UserTodo, err error) {
	err = global.GVA_DB.Where("user_id = ? and is_finish = ?", notes.UserId, notes.IsFinish).Find(&list).Error
	return

}

func (t TodesService) UpdateTodoById(c *common.UserTodo) error {

	return global.GVA_DB.Table("t_user_todo").Where("id = ?", c.ID).Update("is_finish", c.IsFinish).Error
}

// GetTodayTodos 获取今日待办
func (t TodesService) GetTodayTodos(notes *request.GetUserNotes) (list []common.UserTodo, err error) {
	// 获取当前时间
	nowTime := time.Now().Format("2006-01-02")

	err = global.GVA_DB.Where("user_id = ? and is_finish = 0 and remind_day = ?", notes.UserId, nowTime).Find(&list).Error
	return
}
